PETSc version 3.17.4
Fix/Edit manual page

# ISClearInfoCache

clear the cache of computed index set properties

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISClearInfoCache(IS is, PetscBool clear_permanent_local)

Not collective

### Input Parameters

| is | - the index set
| clear_permanent_local | - whether to remove the permanent status of local properties

NOTE: because all processes must agree on the global permanent status of a property, the permanent status can only be changed with ISSetInfo(), because this routine is not collective

### See Also

ISInfo, ISInfoType, ISSetInfo(), ISClearInfoCache()

### Level

developer

### Location

src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages